Show / Hide Table of Contents

# Struct ImGuiStoragePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiStoragePtr

### Constructors

| Improve this Doc View Source

#### ImGuiStoragePtr(ImGuiStorage*)

##### Declaration

    public ImGuiStoragePtr(ImGuiStorage*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | nativePtr |

| Improve this Doc View Source

#### ImGuiStoragePtr(IntPtr)

##### Declaration

    public ImGuiStoragePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### Data

##### Declaration

    public ImPtrVector<ImGuiStoragePairPtr> Data { get; }

##### Property Value

Type | Description
--- | ---
ImPtrVector<ImGuiStoragePairPtr> |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImGuiStorage*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiStorage* |

### Methods

| Improve this Doc View Source

#### BuildSortByKey()

##### Declaration

    public void BuildSortByKey()

| Improve this Doc View Source

#### Clear()

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### GetBool(UInt32)

##### Declaration

    public bool GetBool(uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### GetBool(UInt32, Boolean)

##### Declaration

    public bool GetBool(uint key, bool default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.Boolean | default_val |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### GetBoolRef(UInt32)

##### Declaration

    public byte *GetBoolRef(uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### GetBoolRef(UInt32, Boolean)

##### Declaration

    public byte *GetBoolRef(uint key, bool default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.Boolean | default_val |

##### Returns

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### GetFloat(UInt32)

##### Declaration

    public float GetFloat(uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetFloat(UInt32, Single)

##### Declaration

    public float GetFloat(uint key, float default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.Single | default_val |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetFloatRef(UInt32)

##### Declaration

    public float *GetFloatRef(uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### GetFloatRef(UInt32, Single)

##### Declaration

    public float *GetFloatRef(uint key, float default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.Single | default_val |

##### Returns

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### GetInt(UInt32)

##### Declaration

    public int GetInt(uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetInt(UInt32, Int32)

##### Declaration

    public int GetInt(uint key, int default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.Int32 | default_val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetIntRef(UInt32)

##### Declaration

    public int *GetIntRef(uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.Int32* |

| Improve this Doc View Source

#### GetIntRef(UInt32, Int32)

##### Declaration

    public int *GetIntRef(uint key, int default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.Int32 | default_val |

##### Returns

Type | Description
--- | ---
System.Int32* |

| Improve this Doc View Source

#### GetVoidPtr(UInt32)

##### Declaration

    public IntPtr GetVoidPtr(uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetVoidPtrRef(UInt32)

##### Declaration

    public void **GetVoidPtrRef(uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.Void** |

| Improve this Doc View Source

#### GetVoidPtrRef(UInt32, IntPtr)

##### Declaration

    public void **GetVoidPtrRef(uint key, IntPtr default_val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.IntPtr | default_val |

##### Returns

Type | Description
--- | ---
System.Void** |

| Improve this Doc View Source

#### SetAllInt(Int32)

##### Declaration

    public void SetAllInt(int val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | val |

| Improve this Doc View Source

#### SetBool(UInt32, Boolean)

##### Declaration

    public void SetBool(uint key, bool val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.Boolean | val |

| Improve this Doc View Source

#### SetFloat(UInt32, Single)

##### Declaration

    public void SetFloat(uint key, float val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.Single | val |

| Improve this Doc View Source

#### SetInt(UInt32, Int32)

##### Declaration

    public void SetInt(uint key, int val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.Int32 | val |

| Improve this Doc View Source

#### SetVoidPtr(UInt32, IntPtr)

##### Declaration

    public void SetVoidPtr(uint key, IntPtr val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | key |
System.IntPtr | val |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiStorage* to ImGuiStoragePtr)

##### Declaration

    public static implicit operator ImGuiStoragePtr(ImGuiStorage*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStorage* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiStoragePtr |

| Improve this Doc View Source

#### Implicit(ImGuiStoragePtr to ImGuiStorage*)

##### Declaration

    public static implicit operator ImGuiStorage*(ImGuiStoragePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStoragePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiStorage* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiStoragePtr)

##### Declaration

    public static implicit operator ImGuiStoragePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiStoragePtr |